Permalink
Browse files

Specifying mocha version.

This version of mocha avoids the following error:

    No Mocha monkey-patch for MiniTest version
  • Loading branch information...
1 parent 79c7d64 commit c612d2ecd82da5d59fd8865f2681cc309747da18 @alphabetum committed Apr 7, 2013
Showing with 4 additions and 4 deletions.
  1. +1 −1 Gemfile
  2. +2 −2 Gemfile.lock
  3. +1 −1 test/helper.rb
View
@@ -7,7 +7,7 @@ source "http://rubygems.org"
# Include everything needed to run rake, tests, features, etc.
group :development, :test do
gem "jeweler", "~> 1.8.4"
- gem "mocha", ">= 0"
+ gem "mocha", "~> 0.13.3"
gem "rdoc", "~> 3.12"
gem "shoulda", ">= 0"
end
View
@@ -13,7 +13,7 @@ GEM
rdoc
json (1.7.5)
metaclass (0.0.1)
- mocha (0.12.7)
+ mocha (0.13.3)
metaclass (~> 0.0.1)
multi_json (1.3.6)
rake (0.9.2.2)
@@ -31,6 +31,6 @@ PLATFORMS
DEPENDENCIES
jeweler (~> 1.8.4)
- mocha
+ mocha (~> 0.13.3)
rdoc (~> 3.12)
shoulda
View
@@ -9,7 +9,7 @@
end
require 'test/unit'
require 'shoulda'
-require 'mocha'
+require 'mocha/setup'
$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))

0 comments on commit c612d2e

Please sign in to comment.